todo:
    x clean up sdkconfig.defaults.esp32
    x clean up README re esp-idf
    x esp32s3 support
    x power optimize all boards
    debug usb for power
    measure life
    sleep then wake up on loop for power savings
        new interval
        sleep duration
        light sleep
        deep sleep
    secure boot/flash/nvs encryption
        note
        method
    xiao c6 build instructions and hardware links
    figure out optimal dbm setting for da antenna ~line 191
    testing
        legend: b builds, f flashes, w works
            b esp32s3
            b esp32c6
            b esp32
            b esp32c3